Loading...
Searching...
No Matches
File Classification API.

Structures and methods for build-time file classification. More...

Collaboration diagram for File Classification API.:

## Files

file | rpmfc.h

## Typedefs

typedef struct rpmfc_s * | rpmfc

## Enumerations

enum | FCOLOR_e { RPMFC_BLACK = 0 , RPMFC_ELF32 = (1 << 0) , RPMFC_ELF64 = (1 << 1) , RPMFC_ELFMIPSN32 = (1 << 2) , RPMFC_WHITE = (1 << 29) , RPMFC_INCLUDE = (1 << 30) , RPMFC_ERROR = (1 << 31) }

## Functions

void | rpmfcPrint (const char *msg, rpmfc fc, FILE *fp)
rpmfc | rpmfcFree (rpmfc fc)
rpmfc | rpmfcCreate (const char *rootDir, rpmFlags flags)
rpmRC | rpmfcClassify (rpmfc fc, ARGV_t argv, rpm_mode_t *fmode)
rpmRC | rpmfcApply (rpmfc fc)
rpmds | rpmfcProvides (rpmfc fc)
rpmds | rpmfcRequires (rpmfc fc)
rpmds | rpmfcRecommends (rpmfc fc)
rpmds | rpmfcSuggests (rpmfc fc)
rpmds | rpmfcSupplements (rpmfc fc)
rpmds | rpmfcEnhances (rpmfc fc)
rpmds | rpmfcConflicts (rpmfc fc)
rpmds | rpmfcObsoletes (rpmfc fc)
rpmds | rpmfcOrderWithRequires (rpmfc fc)
rpmds | rpmfcDependencies (rpmfc fc, rpmTagVal tagN)

## Detailed Description

Structures and methods for build-time file classification.

## Typedef Documentation

## rpmfc

typedef struct rpmfc_s* rpmfc

File classifier handle.

## Enumeration Type Documentation

## FCOLOR_e

enum FCOLOR_e

File colors.

## Function Documentation

## rpmfcApply()

rpmRC rpmfcApply | ( | rpmfc | fc | ) |

Build file/package dependency dictionary and mappings.

Parameters

  fc | file classifier

Returns
  RPMRC_OK on success

## rpmfcClassify()

rpmRC rpmfcClassify | ( | rpmfc | fc,
|  | ARGV_t | argv,
|  | rpm_mode_t * | fmode )

Build file class dictionary and mappings.

Parameters

  fc | file classifier
  argv | files to classify
  fmode | files mode_t array (or NULL)

Returns
  RPMRC_OK on success

## rpmfcConflicts()

rpmds rpmfcConflicts | ( | rpmfc | fc | ) |

Retrieve file classification conflicts

Parameters

  fc | file classifier

Returns
  rpmds dependency set of fc conflicts

## rpmfcCreate()

rpmfc rpmfcCreate | ( | const char * | rootDir,
|  | rpmFlags | flags )

Create a file classifier.

Parameters

  rootDir | (build) root directory
  flags | (unused)

Returns
  new file classifier

## rpmfcDependencies()

rpmds rpmfcDependencies | ( | rpmfc | fc,
|  | rpmTagVal | tagN )

Retrieve file classification dependencies

Parameters

  fc | file classifier
  tagN | name tag of the wanted dependency

Returns
  rpmds dependency set of fc requires

## rpmfcEnhances()

rpmds rpmfcEnhances | ( | rpmfc | fc | ) |

Retrieve file classification enhances

Parameters

  fc | file classifier

Returns
  rpmds dependency set of fc enhances

## rpmfcFree()

rpmfc rpmfcFree | ( | rpmfc | fc | ) |

Destroy a file classifier.

Parameters

  fc | file classifier

Returns
  NULL always

## rpmfcObsoletes()

rpmds rpmfcObsoletes | ( | rpmfc | fc | ) |

Retrieve file classification obsoletes

Parameters

  fc | file classifier

Returns
  rpmds dependency set of fc obsoletes

## rpmfcOrderWithRequires()

rpmds rpmfcOrderWithRequires | ( | rpmfc | fc | ) |

Retrieve file classification OrderWithRequires

Parameters

  fc | file classifier

Returns
  rpmds dependency set of fc obsoletes

## rpmfcPrint()

void rpmfcPrint | ( | const char * | msg,
|  | rpmfc | fc,
|  | FILE * | fp )

Print results of file classification.

Parameters

  msg | message prefix (NULL for none)
  fc | file classifier
  fp | output file handle (NULL for stderr)

## rpmfcProvides()

rpmds rpmfcProvides | ( | rpmfc | fc | ) |

Retrieve file classification provides

Parameters

  fc | file classifier

Returns
  rpmds dependency set of fc provides

## rpmfcRecommends()

rpmds rpmfcRecommends | ( | rpmfc | fc | ) |

Retrieve file classification recommends

Parameters

  fc | file classifier

Returns
  rpmds dependency set of fc recommends

## rpmfcRequires()

rpmds rpmfcRequires | ( | rpmfc | fc | ) |

Retrieve file classification requires

Parameters

  fc | file classifier

Returns
  rpmds dependency set of fc requires

## rpmfcSuggests()

rpmds rpmfcSuggests | ( | rpmfc | fc | ) |

Retrieve file classification suggests

Parameters

  fc | file classifier

Returns
  rpmds dependency set of fc suggests

## rpmfcSupplements()

rpmds rpmfcSupplements | ( | rpmfc | fc | ) |

Retrieve file classification supplements

Parameters

  fc | file classifier

Returns
  rpmds dependency set of fc supplements